# Uses of Class
javafx.scene.layout.BorderStrokeStyle

Packages that use BorderStrokeStyle
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BorderStrokeStyle in javafx.scene.layout

Fields in javafx.scene.layout declared as BorderStrokeStyle
Modifier and Type
Field
Description
`static final BorderStrokeStyle`
BorderStrokeStyle.`DASHED`
A predefined dashed pattern to be used for stroking
`static final BorderStrokeStyle`
BorderStrokeStyle.`DOTTED`
A predefined dotted pattern to be used for stroking
`static final BorderStrokeStyle`
BorderStrokeStyle.`NONE`
Indicates that no stroke should be drawn.
`static final BorderStrokeStyle`
BorderStrokeStyle.`SOLID`
A predefined solid line to be used for stroking
Methods in javafx.scene.layout that return BorderStrokeStyle
Modifier and Type
Method
Description
`final BorderStrokeStyle`
BorderStroke.`getBottomStyle()`
Defines the style of bottom side of this border.
`final BorderStrokeStyle`
BorderStroke.`getLeftStyle()`
Defines the style of left side of this border.
`final BorderStrokeStyle`
BorderStroke.`getRightStyle()`
Defines the style of right side of this border.
`final BorderStrokeStyle`
BorderStroke.`getTopStyle()`
Defines the style of top side of this border.
Constructors in javafx.scene.layout with parameters of type BorderStrokeStyle
Modifier
Constructor
Description
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint topStroke, Paint rightStroke, Paint bottomStroke, Paint leftStroke, BorderStrokeStyle topStyle, BorderStrokeStyle rightStyle, BorderStrokeStyle bottomStyle, BorderStrokeStyle leftStyle, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`, specifying all construction parameters.